<nav>
  <div class="container">
    <ul class="navbar left">
      <li class="nav-item">
        <a class="nav-item_link" routerLink="/pokemon" routerLinkActive="active">
            <i class="material-icons">view_list</i>
            <div class="nav-item_brand">
              <img src="assets/pokemon_logo.png" alt="Pokemon Logo" aria-label="Pokemon Logo" width="100">
            </div>
        </a>
      </li>
    </ul>
    <ul class="navbar right">
      <li class="nav-item" *ngIf="trainerName | async">
        <a class="nav-item_link" routerLink="/trainer" routerLinkActive="active">
          <i class="material-icons">account_circle</i>
          {{ trainerName | async }}
        </a>
      </li>
      <li *ngIf="!(trainerName | async)" class="nav-item">
        <a class="nav-item_link active" routerLink="/register"> Register as trainer</a>
      </li>
    </ul>
  </div>
</nav>
